## NMSettingTeam NMSettingTeam — Describes connection properties for teams |

## Functions

NMTeamLinkWatcher * | nm_team_link_watcher_new_ethtool ()
NMTeamLinkWatcher * | nm_team_link_watcher_new_nsna_ping ()
NMTeamLinkWatcher * | nm_team_link_watcher_new_arp_ping ()
NMTeamLinkWatcher * | nm_team_link_watcher_new_arp_ping2 ()
void | nm_team_link_watcher_ref ()
void | nm_team_link_watcher_unref ()
gboolean | nm_team_link_watcher_equal ()
NMTeamLinkWatcher * | nm_team_link_watcher_dup ()
const char * | nm_team_link_watcher_get_name ()
int | nm_team_link_watcher_get_delay_up ()
int | nm_team_link_watcher_get_delay_down ()
int | nm_team_link_watcher_get_init_wait ()
int | nm_team_link_watcher_get_interval ()
int | nm_team_link_watcher_get_missed_max ()
const char * | nm_team_link_watcher_get_target_host ()
const char * | nm_team_link_watcher_get_source_host ()
NMTeamLinkWatcherArpPingFlags | nm_team_link_watcher_get_flags ()
int | nm_team_link_watcher_get_vlanid ()
NMSetting * | nm_setting_team_new ()
const char * | nm_setting_team_get_config ()
int | nm_setting_team_get_notify_peers_count ()
int | nm_setting_team_get_notify_peers_interval ()
int | nm_setting_team_get_mcast_rejoin_count ()
int | nm_setting_team_get_mcast_rejoin_interval ()
const char * | nm_setting_team_get_runner ()
const char * | nm_setting_team_get_runner_hwaddr_policy ()
const char * | nm_setting_team_get_runner_tx_balancer ()
int | nm_setting_team_get_runner_tx_balancer_interval ()
gboolean | nm_setting_team_get_runner_active ()
gboolean | nm_setting_team_get_runner_fast_rate ()
int | nm_setting_team_get_runner_sys_prio ()
int | nm_setting_team_get_runner_min_ports ()
const char * | nm_setting_team_get_runner_agg_select_policy ()
gboolean | nm_setting_team_remove_runner_tx_hash_by_value ()
guint | nm_setting_team_get_num_runner_tx_hash ()
const char * | nm_setting_team_get_runner_tx_hash ()
void | nm_setting_team_remove_runner_tx_hash ()
gboolean | nm_setting_team_add_runner_tx_hash ()
guint | nm_setting_team_get_num_link_watchers ()
NMTeamLinkWatcher * | nm_setting_team_get_link_watcher ()
gboolean | nm_setting_team_add_link_watcher ()
void | nm_setting_team_remove_link_watcher ()
gboolean | nm_setting_team_remove_link_watcher_by_value ()
void | nm_setting_team_clear_link_watchers ()

## Properties

char * | config | Read / Write
GPtrArray * | link-watchers | Read / Write
int | mcast-rejoin-count | Read / Write
int | mcast-rejoin-interval | Read / Write
int | notify-peers-count | Read / Write
int | notify-peers-interval | Read / Write
char * | runner | Read / Write
gboolean | runner-active | Read / Write
char * | runner-agg-select-policy | Read / Write
gboolean | runner-fast-rate | Read / Write
char * | runner-hwaddr-policy | Read / Write
int | runner-min-ports | Read / Write
int | runner-sys-prio | Read / Write
char * | runner-tx-balancer | Read / Write
int | runner-tx-balancer-interval | Read / Write
GStrv | runner-tx-hash | Read / Write

## Types and Values

enum | NMTeamLinkWatcherArpPingFlags
#define | NM_TEAM_LINK_WATCHER_ETHTOOL
#define | NM_TEAM_LINK_WATCHER_ARP_PING
#define | NM_TEAM_LINK_WATCHER_NSNA_PING
#define | NM_SETTING_TEAM_SETTING_NAME
#define | NM_SETTING_TEAM_CONFIG
#define | NM_SETTING_TEAM_NOTIFY_PEERS_COUNT
#define | NM_SETTING_TEAM_NOTIFY_PEERS_INTERVAL
#define | NM_SETTING_TEAM_MCAST_REJOIN_COUNT
#define | NM_SETTING_TEAM_MCAST_REJOIN_INTERVAL
#define | NM_SETTING_TEAM_RUNNER
#define | NM_SETTING_TEAM_RUNNER_HWADDR_POLICY
#define | NM_SETTING_TEAM_RUNNER_TX_HASH
#define | NM_SETTING_TEAM_RUNNER_TX_BALANCER
#define | NM_SETTING_TEAM_RUNNER_TX_BALANCER_INTERVAL
#define | NM_SETTING_TEAM_RUNNER_ACTIVE
#define | NM_SETTING_TEAM_RUNNER_FAST_RATE
#define | NM_SETTING_TEAM_RUNNER_SYS_PRIO
#define | NM_SETTING_TEAM_RUNNER_MIN_PORTS
#define | NM_SETTING_TEAM_RUNNER_AGG_SELECT_POLICY
#define | NM_SETTING_TEAM_LINK_WATCHERS
#define | NM_SETTING_TEAM_RUNNER_BROADCAST
#define | NM_SETTING_TEAM_RUNNER_ROUNDROBIN
#define | NM_SETTING_TEAM_RUNNER_RANDOM
#define | NM_SETTING_TEAM_RUNNER_ACTIVEBACKUP
#define | NM_SETTING_TEAM_RUNNER_LOADBALANCE
#define | NM_SETTING_TEAM_RUNNER_LACP
#define | NM_SETTING_TEAM_RUNNER_HWADDR_POLICY_SAME_ALL
#define | NM_SETTING_TEAM_RUNNER_HWADDR_POLICY_BY_ACTIVE
#define | NM_SETTING_TEAM_RUNNER_HWADDR_POLICY_ONLY_ACTIVE
#define | NM_SETTING_TEAM_RUNNER_AGG_SELECT_POLICY_LACP_PRIO
#define | NM_SETTING_TEAM_RUNNER_AGG_SELECT_POLICY_LACP_PRIO_STABLE
#define | NM_SETTING_TEAM_RUNNER_AGG_SELECT_POLICY_BANDWIDTH
#define | NM_SETTING_TEAM_RUNNER_AGG_SELECT_POLICY_COUNT
#define | NM_SETTING_TEAM_RUNNER_AGG_SELECT_POLICY_PORT_CONFIG
#define | NM_SETTING_TEAM_NOTIFY_PEERS_COUNT_ACTIVEBACKUP_DEFAULT
#define | NM_SETTING_TEAM_NOTIFY_MCAST_COUNT_ACTIVEBACKUP_DEFAULT
#define | NM_SETTING_TEAM_RUNNER_DEFAULT
#define | NM_SETTING_TEAM_RUNNER_HWADDR_POLICY_DEFAULT
#define | NM_SETTING_TEAM_RUNNER_TX_BALANCER_INTERVAL_DEFAULT
#define | NM_SETTING_TEAM_RUNNER_SYS_PRIO_DEFAULT
#define | NM_SETTING_TEAM_RUNNER_AGG_SELECT_POLICY_DEFAULT
| NMSettingTeam

## Object Hierarchy

        GBoxed
        ╰── NMTeamLinkWatcher
        GFlags
        ╰── NMTeamLinkWatcherArpPingFlags
        GObject
        ╰── NMSetting
            ╰── NMSettingTeam

## Description

The NMSettingTeam object is a NMSetting subclass that describes properties necessary for team connections.

## Functions

### nm_team_link_watcher_new_ethtool ()

    NMTeamLinkWatcher *
    nm_team_link_watcher_new_ethtool (int delay_up,
                                      int delay_down,
                                      GError **error);

Creates a new ethtool NMTeamLinkWatcher object

#### Parameters

delay_up | delay_up value |
delay_down | delay_down value |
error | this call never fails, so this var is not used but kept for format consistency with the link_watcher constructors of other type |

#### Returns

the new NMTeamLinkWatcher object.

[transfer full]

Since: 1.12

### nm_team_link_watcher_new_nsna_ping ()

    NMTeamLinkWatcher *
    nm_team_link_watcher_new_nsna_ping (int init_wait,
                                        int interval,
                                        int missed_max,
                                        const char *target_host,
                                        GError **error);

Creates a new nsna_ping NMTeamLinkWatcher object

#### Parameters

init_wait | init_wait value |
interval | interval value |
missed_max | missed_max value |
target_host | the host name or the ipv6 address that will be used as target address in the NS packet |
error | location to store the error on failure. | [out][allow-none]

#### Returns

the new NMTeamLinkWatcher object, or `NULL` on error.

[transfer full]

Since: 1.12

### nm_team_link_watcher_new_arp_ping ()

    NMTeamLinkWatcher *
    nm_team_link_watcher_new_arp_ping (int init_wait,
                                       int interval,
                                       int missed_max,
                                       const char *target_host,
                                       const char *source_host,
                                       NMTeamLinkWatcherArpPingFlags flags,
                                       GError **error);

Creates a new arp_ping NMTeamLinkWatcher object

#### Parameters

init_wait | init_wait value |
interval | interval value |
missed_max | missed_max value |
target_host | the host name or the ip address that will be used as destination address in the arp request |
source_host | the host name or the ip address that will be used as source address in the arp request |
flags | the watcher NMTeamLinkWatcherArpPingFlags |
error | location to store the error on failure. | [out][allow-none]

#### Returns

the new NMTeamLinkWatcher object, or `NULL` on error.

[transfer full]

Since: 1.12

### nm_team_link_watcher_new_arp_ping2 ()

    NMTeamLinkWatcher *
    nm_team_link_watcher_new_arp_ping2 (int init_wait,
                                        int interval,
                                        int missed_max,
                                        int vlanid,
                                        const char *target_host,
                                        const char *source_host,
                                        NMTeamLinkWatcherArpPingFlags flags,
                                        GError **error);

Creates a new arp_ping NMTeamLinkWatcher object

#### Parameters

init_wait | init_wait value |
interval | interval value |
missed_max | missed_max value |
vlanid | vlanid value |
target_host | the host name or the ip address that will be used as destination address in the arp request |
source_host | the host name or the ip address that will be used as source address in the arp request |
flags | the watcher NMTeamLinkWatcherArpPingFlags |
error | location to store the error on failure. | [out][allow-none]

#### Returns

the new NMTeamLinkWatcher object, or `NULL` on error.

[transfer full]

Since: 1.16

### nm_team_link_watcher_ref ()

    void
    nm_team_link_watcher_ref (NMTeamLinkWatcher *watcher);

Increases the reference count of the object.

#### Parameters

watcher | the NMTeamLinkWatcher |

Since: 1.12

### nm_team_link_watcher_unref ()

    void
    nm_team_link_watcher_unref (NMTeamLinkWatcher *watcher);

Decreases the reference count of the object. If the reference count reaches zero, the object will be destroyed.

#### Parameters

watcher | the NMTeamLinkWatcher |

Since: 1.12

### nm_team_link_watcher_equal ()

    gboolean
    nm_team_link_watcher_equal (const NMTeamLinkWatcher *watcher,
                                const NMTeamLinkWatcher *other);

Determines if two NMTeamLinkWatcher objects contain the same values in all the properties.

#### Parameters

watcher | the NMTeamLinkWatcher |
other | the NMTeamLinkWatcher to compare `watcher` to. |

#### Returns

`TRUE` if the objects contain the same values, `FALSE` if they do not.

Since: 1.12

### nm_team_link_watcher_dup ()

    NMTeamLinkWatcher *
    nm_team_link_watcher_dup (const NMTeamLinkWatcher *watcher);

Creates a copy of `watcher`

#### Parameters

watcher | the NMTeamLinkWatcher |

#### Returns

a copy of `watcher` .

[transfer full]

Since: 1.12

### nm_team_link_watcher_get_name ()

    const char *
    nm_team_link_watcher_get_name (const NMTeamLinkWatcher *watcher);

Gets the name of the link watcher to be used.

#### Parameters

watcher | the NMTeamLinkWatcher |

Since: 1.12

### nm_team_link_watcher_get_delay_up ()

    int
    nm_team_link_watcher_get_delay_up (const NMTeamLinkWatcher *watcher);

Gets the delay_up interval (in milliseconds) that elapses between the link coming up and the runner being notified about it.

#### Parameters

watcher | the NMTeamLinkWatcher |

Since: 1.12

### nm_team_link_watcher_get_delay_down ()

    int
    nm_team_link_watcher_get_delay_down (const NMTeamLinkWatcher *watcher);

Gets the delay_down interval (in milliseconds) that elapses between the link going down and the runner being notified about it.

#### Parameters

watcher | the NMTeamLinkWatcher |

Since: 1.12

### nm_team_link_watcher_get_init_wait ()

    int
    nm_team_link_watcher_get_init_wait (const NMTeamLinkWatcher *watcher);

Gets the init_wait interval (in milliseconds) that the team slave should wait before sending the first packet to the target host.

#### Parameters

watcher | the NMTeamLinkWatcher |

Since: 1.12

### nm_team_link_watcher_get_interval ()

    int
    nm_team_link_watcher_get_interval (const NMTeamLinkWatcher *watcher);

Gets the interval (in milliseconds) that the team slave should wait between sending two check packets to the target host.

#### Parameters

watcher | the NMTeamLinkWatcher |

Since: 1.12

### nm_team_link_watcher_get_missed_max ()

    int
    nm_team_link_watcher_get_missed_max (const NMTeamLinkWatcher *watcher);

Gets the number of missed replies after which the link is considered down.

#### Parameters

watcher | the NMTeamLinkWatcher |

Since: 1.12

### nm_team_link_watcher_get_target_host ()

    const char *
    nm_team_link_watcher_get_target_host (const NMTeamLinkWatcher *watcher);

Gets the host name/ip address to be used as destination for the link probing packets.

#### Parameters

watcher | the NMTeamLinkWatcher |

Since: 1.12

### nm_team_link_watcher_get_source_host ()

    const char *
    nm_team_link_watcher_get_source_host (const NMTeamLinkWatcher *watcher);

Gets the ip address to be used as source for the link probing packets.

#### Parameters

watcher | the NMTeamLinkWatcher |

Since: 1.12

### nm_team_link_watcher_get_flags ()

    NMTeamLinkWatcherArpPingFlags
    nm_team_link_watcher_get_flags (const NMTeamLinkWatcher *watcher);

Gets the arp ping watcher flags.

#### Parameters

watcher | the NMTeamLinkWatcher |

Since: 1.12

### nm_team_link_watcher_get_vlanid ()

    int
    nm_team_link_watcher_get_vlanid (const NMTeamLinkWatcher *watcher);

Gets the VLAN tag ID to be used to outgoing link probes

#### Parameters

watcher | the NMTeamLinkWatcher |

Since: 1.16

### nm_setting_team_new ()

    NMSetting *
    nm_setting_team_new (void);

Creates a new NMSettingTeam object with default values.

#### Returns

the new empty NMSettingTeam object.

[transfer full]

### nm_setting_team_get_config ()

    const char *
    nm_setting_team_get_config (NMSettingTeam *setting);

#### Parameters

setting | the NMSettingTeam |

#### Returns

the “config” property of the setting

### nm_setting_team_get_notify_peers_count ()

    int
    nm_setting_team_get_notify_peers_count
                                   (NMSettingTeam *setting);

#### Parameters

setting | the NMSettingTeam |

#### Returns

the #“notify-peers-count” property of the setting

Since: 1.12

### nm_setting_team_get_notify_peers_interval ()

    int
    nm_setting_team_get_notify_peers_interval
                                   (NMSettingTeam *setting);

#### Parameters

setting | the NMSettingTeam |

#### Returns

the #“notify-peers-interval” property of the setting

Since: 1.12

### nm_setting_team_get_mcast_rejoin_count ()

    int
    nm_setting_team_get_mcast_rejoin_count
                                   (NMSettingTeam *setting);

#### Parameters

setting | the NMSettingTeam |

#### Returns

the #“mcast-rejoin-count” property of the setting

Since: 1.12

### nm_setting_team_get_mcast_rejoin_interval ()

    int
    nm_setting_team_get_mcast_rejoin_interval
                                   (NMSettingTeam *setting);

#### Parameters

setting | the NMSettingTeam |

#### Returns

the #“mcast-rejoin-interval” property of the setting

Since: 1.12

### nm_setting_team_get_runner ()

    const char *
    nm_setting_team_get_runner (NMSettingTeam *setting);

#### Parameters

setting | the NMSettingTeam |

#### Returns

the #“runner” property of the setting

Since: 1.12

### nm_setting_team_get_runner_hwaddr_policy ()

    const char *
    nm_setting_team_get_runner_hwaddr_policy
                                   (NMSettingTeam *setting);

#### Parameters

setting | the NMSettingTeam |

#### Returns

the #“runner-hwaddr-policy” property of the setting

Since: 1.12

### nm_setting_team_get_runner_tx_balancer ()

    const char *
    nm_setting_team_get_runner_tx_balancer
                                   (NMSettingTeam *setting);

#### Parameters

setting | the NMSettingTeam |

#### Returns

the #“runner-tx-balancer” property of the setting

Since: 1.12

### nm_setting_team_get_runner_tx_balancer_interval ()

    int
    nm_setting_team_get_runner_tx_balancer_interval
                                   (NMSettingTeam *setting);

#### Parameters

setting | the NMSettingTeam |

#### Returns

the #“runner-tx-balancer_interval” property of the setting

Since: 1.12

### nm_setting_team_get_runner_active ()

    gboolean
    nm_setting_team_get_runner_active (NMSettingTeam *setting);

#### Parameters

setting | the NMSettingTeam |

#### Returns

the #“runner_active” property of the setting

Since: 1.12

### nm_setting_team_get_runner_fast_rate ()

    gboolean
    nm_setting_team_get_runner_fast_rate (NMSettingTeam *setting);

#### Parameters

setting | the NMSettingTeam |

#### Returns

the #“runner-fast-rate” property of the setting

Since: 1.12

### nm_setting_team_get_runner_sys_prio ()

    int
    nm_setting_team_get_runner_sys_prio (NMSettingTeam *setting);

#### Parameters

setting | the NMSettingTeam |

#### Returns

the #“runner-sys-prio” property of the setting

Since: 1.12

### nm_setting_team_get_runner_min_ports ()

    int
    nm_setting_team_get_runner_min_ports (NMSettingTeam *setting);

#### Parameters

setting | the NMSettingTeam |

#### Returns

the #“runner-min-ports” property of the setting

Since: 1.12

### nm_setting_team_get_runner_agg_select_policy ()

    const char *
    nm_setting_team_get_runner_agg_select_policy
                                   (NMSettingTeam *setting);

#### Parameters

setting | the NMSettingTeam |

#### Returns

the #“runner-agg-select-policy” property of the setting

Since: 1.12

### nm_setting_team_remove_runner_tx_hash_by_value ()

    gboolean
    nm_setting_team_remove_runner_tx_hash_by_value
                                   (NMSettingTeam *setting,
                                    const char *txhash);

Removes the txhash element txhash

#### Parameters

setting | the NMSetetingTeam |
txhash | the txhash element to remove |

#### Returns

`TRUE` if the txhash element was found and removed; `FALSE` if it was not.

Since: 1.12

### nm_setting_team_get_num_runner_tx_hash ()

    guint
    nm_setting_team_get_num_runner_tx_hash
                                   (NMSettingTeam *setting);

#### Parameters

setting | the NMSettingTeam |

#### Returns

the number of elements in txhash

Since: 1.12

### nm_setting_team_get_runner_tx_hash ()

    const char *
    nm_setting_team_get_runner_tx_hash (NMSettingTeam *setting,
                                        guint idx);

#### Parameters

setting | the NMSettingTeam |
idx | index number of the txhash element to return |

#### Returns

the txhash element at index `idx`

Since: 1.12

### nm_setting_team_remove_runner_tx_hash ()

    void
    nm_setting_team_remove_runner_tx_hash (NMSettingTeam *setting,
                                           guint idx);

Removes the txhash element at index `idx` .

#### Parameters

setting | the NMSettingTeam |
idx | index number of the element to remove from txhash |

Since: 1.12

### nm_setting_team_add_runner_tx_hash ()

    gboolean
    nm_setting_team_add_runner_tx_hash (NMSettingTeam *setting,
                                        const char *txhash);

Adds a new txhash element to the setting.

#### Parameters

setting | the NMSettingTeam |
txhash | the element to add to txhash |

#### Returns

`TRUE` if the txhash element was added; `FALSE` if the element was already knnown.

Since: 1.12

### nm_setting_team_get_num_link_watchers ()

    guint
    nm_setting_team_get_num_link_watchers (NMSettingTeam *setting);

#### Parameters

setting | the NMSettingTeam |

#### Returns

the number of configured link watchers

Since: 1.12

### nm_setting_team_get_link_watcher ()

    NMTeamLinkWatcher *
    nm_setting_team_get_link_watcher (NMSettingTeam *setting,
                                      guint idx);

#### Parameters

setting | the NMSettingTeam |
idx | index number of the link watcher to return |

#### Returns

the link watcher at index `idx` .

[transfer none]

Since: 1.12

### nm_setting_team_add_link_watcher ()

    gboolean
    nm_setting_team_add_link_watcher (NMSettingTeam *setting,
                                      NMTeamLinkWatcher *link_watcher);

Appends a new link watcher to the setting.

#### Parameters

setting | the NMSettingTeam |
link_watcher | the link watcher to add |

#### Returns

`TRUE` if the link watcher is added; `FALSE` if an identical link watcher was already there.

Since: 1.12

### nm_setting_team_remove_link_watcher ()

    void
    nm_setting_team_remove_link_watcher (NMSettingTeam *setting,
                                         guint idx);

Removes the link watcher at index idx.

#### Parameters

setting | the NMSettingTeam |
idx | index number of the link watcher to remove |

Since: 1.12

### nm_setting_team_remove_link_watcher_by_value ()

    gboolean
    nm_setting_team_remove_link_watcher_by_value
                                   (NMSettingTeam *setting,
                                    NMTeamLinkWatcher *link_watcher);

Removes the link watcher entry matching link_watcher.

#### Parameters

setting | the NMSettingTeam |
link_watcher | the link watcher to remove |

#### Returns

`TRUE` if the link watcher was found and removed, `FALSE` otherwise.

Since: 1.12

### nm_setting_team_clear_link_watchers ()

    void
    nm_setting_team_clear_link_watchers (NMSettingTeam *setting);

Removes all configured link watchers.

#### Parameters

setting | the NMSettingTeam |

Since: 1.12

## Types and Values

### enum NMTeamLinkWatcherArpPingFlags

#### Members

NM_TEAM_LINK_WATCHER_ARP_PING_FLAG_NONE | no one among the arp_ping link watcher boolean options ('validate_active', 'validate_inactive', 'send_always') is enabled (set to true). |
NM_TEAM_LINK_WATCHER_ARP_PING_FLAG_VALIDATE_ACTIVE | the arp_ping link watcher option 'validate_active' is enabled (set to true). |
NM_TEAM_LINK_WATCHER_ARP_PING_FLAG_VALIDATE_INACTIVE | the arp_ping link watcher option 'validate_inactive' is enabled (set to true). |
NM_TEAM_LINK_WATCHER_ARP_PING_FLAG_SEND_ALWAYS | the arp_ping link watcher option 'send_always' is enabled (set to true). |

### NM_TEAM_LINK_WATCHER_ETHTOOL

    #define NM_TEAM_LINK_WATCHER_ETHTOOL   "ethtool"

### NM_TEAM_LINK_WATCHER_ARP_PING

    #define NM_TEAM_LINK_WATCHER_ARP_PING  "arp_ping"

### NM_TEAM_LINK_WATCHER_NSNA_PING

    #define NM_TEAM_LINK_WATCHER_NSNA_PING "nsna_ping"

### NM_SETTING_TEAM_SETTING_NAME

    #define NM_SETTING_TEAM_SETTING_NAME "team"

### NM_SETTING_TEAM_CONFIG

    #define NM_SETTING_TEAM_CONFIG                      "config"

### NM_SETTING_TEAM_NOTIFY_PEERS_COUNT

    #define NM_SETTING_TEAM_NOTIFY_PEERS_COUNT          "notify-peers-count"

### NM_SETTING_TEAM_NOTIFY_PEERS_INTERVAL

    #define NM_SETTING_TEAM_NOTIFY_PEERS_INTERVAL       "notify-peers-interval"

### NM_SETTING_TEAM_MCAST_REJOIN_COUNT

    #define NM_SETTING_TEAM_MCAST_REJOIN_COUNT          "mcast-rejoin-count"

### NM_SETTING_TEAM_MCAST_REJOIN_INTERVAL

    #define NM_SETTING_TEAM_MCAST_REJOIN_INTERVAL       "mcast-rejoin-interval"

### NM_SETTING_TEAM_RUNNER

    #define NM_SETTING_TEAM_RUNNER                      "runner"

### NM_SETTING_TEAM_RUNNER_HWADDR_POLICY

    #define NM_SETTING_TEAM_RUNNER_HWADDR_POLICY        "runner-hwaddr-policy"

### NM_SETTING_TEAM_RUNNER_TX_HASH

    #define NM_SETTING_TEAM_RUNNER_TX_HASH              "runner-tx-hash"

### NM_SETTING_TEAM_RUNNER_TX_BALANCER

    #define NM_SETTING_TEAM_RUNNER_TX_BALANCER          "runner-tx-balancer"

### NM_SETTING_TEAM_RUNNER_TX_BALANCER_INTERVAL

    #define NM_SETTING_TEAM_RUNNER_TX_BALANCER_INTERVAL "runner-tx-balancer-interval"

### NM_SETTING_TEAM_RUNNER_ACTIVE

    #define NM_SETTING_TEAM_RUNNER_ACTIVE               "runner-active"

### NM_SETTING_TEAM_RUNNER_FAST_RATE

    #define NM_SETTING_TEAM_RUNNER_FAST_RATE            "runner-fast-rate"

### NM_SETTING_TEAM_RUNNER_SYS_PRIO

    #define NM_SETTING_TEAM_RUNNER_SYS_PRIO             "runner-sys-prio"

### NM_SETTING_TEAM_RUNNER_MIN_PORTS

    #define NM_SETTING_TEAM_RUNNER_MIN_PORTS            "runner-min-ports"

### NM_SETTING_TEAM_RUNNER_AGG_SELECT_POLICY

    #define NM_SETTING_TEAM_RUNNER_AGG_SELECT_POLICY    "runner-agg-select-policy"

### NM_SETTING_TEAM_LINK_WATCHERS

    #define NM_SETTING_TEAM_LINK_WATCHERS               "link-watchers"

### NM_SETTING_TEAM_RUNNER_BROADCAST

    #define NM_SETTING_TEAM_RUNNER_BROADCAST    "broadcast"

### NM_SETTING_TEAM_RUNNER_ROUNDROBIN

    #define NM_SETTING_TEAM_RUNNER_ROUNDROBIN   "roundrobin"

### NM_SETTING_TEAM_RUNNER_RANDOM

    #define NM_SETTING_TEAM_RUNNER_RANDOM       "random"

### NM_SETTING_TEAM_RUNNER_ACTIVEBACKUP

    #define NM_SETTING_TEAM_RUNNER_ACTIVEBACKUP "activebackup"

### NM_SETTING_TEAM_RUNNER_LOADBALANCE

    #define NM_SETTING_TEAM_RUNNER_LOADBALANCE  "loadbalance"

### NM_SETTING_TEAM_RUNNER_LACP

    #define NM_SETTING_TEAM_RUNNER_LACP         "lacp"

### NM_SETTING_TEAM_RUNNER_HWADDR_POLICY_SAME_ALL

    #define NM_SETTING_TEAM_RUNNER_HWADDR_POLICY_SAME_ALL    "same_all"

### NM_SETTING_TEAM_RUNNER_HWADDR_POLICY_BY_ACTIVE

    #define NM_SETTING_TEAM_RUNNER_HWADDR_POLICY_BY_ACTIVE   "by_active"

### NM_SETTING_TEAM_RUNNER_HWADDR_POLICY_ONLY_ACTIVE

    #define NM_SETTING_TEAM_RUNNER_HWADDR_POLICY_ONLY_ACTIVE "only_active"

### NM_SETTING_TEAM_RUNNER_AGG_SELECT_POLICY_LACP_PRIO

    #define NM_SETTING_TEAM_RUNNER_AGG_SELECT_POLICY_LACP_PRIO        "lacp_prio"

### NM_SETTING_TEAM_RUNNER_AGG_SELECT_POLICY_LACP_PRIO_STABLE

    #define NM_SETTING_TEAM_RUNNER_AGG_SELECT_POLICY_LACP_PRIO_STABLE "lacp_prio_stable"

### NM_SETTING_TEAM_RUNNER_AGG_SELECT_POLICY_BANDWIDTH

    #define NM_SETTING_TEAM_RUNNER_AGG_SELECT_POLICY_BANDWIDTH        "bandwidth"

### NM_SETTING_TEAM_RUNNER_AGG_SELECT_POLICY_COUNT

    #define NM_SETTING_TEAM_RUNNER_AGG_SELECT_POLICY_COUNT            "count"

### NM_SETTING_TEAM_RUNNER_AGG_SELECT_POLICY_PORT_CONFIG

    #define NM_SETTING_TEAM_RUNNER_AGG_SELECT_POLICY_PORT_CONFIG      "port_config"

### NM_SETTING_TEAM_NOTIFY_PEERS_COUNT_ACTIVEBACKUP_DEFAULT

    #define NM_SETTING_TEAM_NOTIFY_PEERS_COUNT_ACTIVEBACKUP_DEFAULT 1

### NM_SETTING_TEAM_NOTIFY_MCAST_COUNT_ACTIVEBACKUP_DEFAULT

    #define NM_SETTING_TEAM_NOTIFY_MCAST_COUNT_ACTIVEBACKUP_DEFAULT 1

### NM_SETTING_TEAM_RUNNER_DEFAULT

    #define NM_SETTING_TEAM_RUNNER_DEFAULT                          NM_SETTING_TEAM_RUNNER_ROUNDROBIN

### NM_SETTING_TEAM_RUNNER_HWADDR_POLICY_DEFAULT

    #define NM_SETTING_TEAM_RUNNER_HWADDR_POLICY_DEFAULT            NM_SETTING_TEAM_RUNNER_HWADDR_POLICY_SAME_ALL

### NM_SETTING_TEAM_RUNNER_TX_BALANCER_INTERVAL_DEFAULT

    #define NM_SETTING_TEAM_RUNNER_TX_BALANCER_INTERVAL_DEFAULT     50

### NM_SETTING_TEAM_RUNNER_SYS_PRIO_DEFAULT

    #define NM_SETTING_TEAM_RUNNER_SYS_PRIO_DEFAULT                 65535

### NM_SETTING_TEAM_RUNNER_AGG_SELECT_POLICY_DEFAULT

    #define             NM_SETTING_TEAM_RUNNER_AGG_SELECT_POLICY_DEFAULT

### NMSettingTeam

    typedef struct _NMSettingTeam NMSettingTeam;

Teaming Settings

## Property Details

### The `“config”` property

      “config”                   char *

The JSON configuration for the team network interface. The property should contain raw JSON configuration data suitable for teamd, because the value is passed directly to teamd. If not specified, the default configuration is used. See man teamd.conf for the format details.

Owner: NMSettingTeam

Flags: Read / Write

Default value: NULL

### The `“link-watchers”` property

      “link-watchers”            GPtrArray *

Link watchers configuration for the connection: each link watcher is defined by a dictionary, whose keys depend upon the selected link watcher. Available link watchers are 'ethtool', 'nsna_ping' and 'arp_ping' and it is specified in the dictionary with the key 'name'. Available keys are: ethtool: 'delay-up', 'delay-down', 'init-wait'; nsna_ping: 'init-wait', 'interval', 'missed-max', 'target-host'; arp_ping: all the ones in nsna_ping and 'source-host', 'validate-active', 'validate-inactive', 'send-always'. See teamd.conf man for more details.

[type GPtrArray(NMTeamLinkWatcher)]

Owner: NMSettingTeam

Flags: Read / Write

Since: 1.12

### The `“mcast-rejoin-count”` property

      “mcast-rejoin-count”       int

Corresponds to the teamd mcast_rejoin.count.

Owner: NMSettingTeam

Flags: Read / Write

Default value: -1

Since: 1.12

### The `“mcast-rejoin-interval”` property

      “mcast-rejoin-interval”    int

Corresponds to the teamd mcast_rejoin.interval.

Owner: NMSettingTeam

Flags: Read / Write

Default value: -1

Since: 1.12

### The `“notify-peers-count”` property

      “notify-peers-count”       int

Corresponds to the teamd notify_peers.count.

Owner: NMSettingTeam

Flags: Read / Write

Default value: -1

Since: 1.12

### The `“notify-peers-interval”` property

      “notify-peers-interval”    int

Corresponds to the teamd notify_peers.interval.

Owner: NMSettingTeam

Flags: Read / Write

Default value: -1

Since: 1.12

### The `“runner”` property

      “runner”                   char *

Corresponds to the teamd runner.name. Permitted values are: "roundrobin", "broadcast", "activebackup", "loadbalance", "lacp", "random".

Owner: NMSettingTeam

Flags: Read / Write

Default value: NULL

Since: 1.12

### The `“runner-active”` property

      “runner-active”            gboolean

Corresponds to the teamd runner.active.

Owner: NMSettingTeam

Flags: Read / Write

Default value: TRUE

Since: 1.12

### The `“runner-agg-select-policy”` property

      “runner-agg-select-policy” char *

Corresponds to the teamd runner.agg_select_policy.

Owner: NMSettingTeam

Flags: Read / Write

Default value: NULL

Since: 1.12

### The `“runner-fast-rate”` property

      “runner-fast-rate”         gboolean

Corresponds to the teamd runner.fast_rate.

Owner: NMSettingTeam

Flags: Read / Write

Default value: FALSE

Since: 1.12

### The `“runner-hwaddr-policy”` property

      “runner-hwaddr-policy”     char *

Corresponds to the teamd runner.hwaddr_policy.

Owner: NMSettingTeam

Flags: Read / Write

Default value: NULL

Since: 1.12

### The `“runner-min-ports”` property

      “runner-min-ports”         int

Corresponds to the teamd runner.min_ports.

Owner: NMSettingTeam

Flags: Read / Write

Default value: -1

Since: 1.12

### The `“runner-sys-prio”` property

      “runner-sys-prio”          int

Corresponds to the teamd runner.sys_prio.

Owner: NMSettingTeam

Flags: Read / Write

Default value: -1

Since: 1.12

### The `“runner-tx-balancer”` property

      “runner-tx-balancer”       char *

Corresponds to the teamd runner.tx_balancer.name.

Owner: NMSettingTeam

Flags: Read / Write

Default value: NULL

Since: 1.12

### The `“runner-tx-balancer-interval”` property

      “runner-tx-balancer-interval” int

Corresponds to the teamd runner.tx_balancer.interval.

Owner: NMSettingTeam

Flags: Read / Write

Default value: -1

Since: 1.12

### The `“runner-tx-hash”` property

      “runner-tx-hash”           GStrv

Corresponds to the teamd runner.tx_hash.

Owner: NMSettingTeam

Flags: Read / Write

Since: 1.12